Bug 1418298 - source_name attribute contains NVR
Summary: source_name attribute contains NVR
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 13:52 UTC by Lubomír Sedlář
Modified: 2017-04-24 17:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-24 17:54:06 UTC
Type: Bug


Attachments (Terms of Use)
list info about packages in repo (631 bytes, text/plain)
2017-02-01 13:52 UTC, Lubomír Sedlář
no flags Details
Test specfile (246 bytes, text/plain)
2017-02-01 13:52 UTC, Lubomír Sedlář
no flags Details

Description Lubomír Sedlář 2017-02-01 13:52:07 UTC
Created attachment 1246651 [details]
list info about packages in repo

Description of problem:
The source_name attribute on a dnf.package.Package class should contain name of SRPM (according to documentation), but sometimes there is full NVR. This happens for subpackages with different version than the source package

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. build the attached specfile
2. createrepo_c on the results
3. run attached reproducer.py script

Actual results:
Name:        dummy
Version:     0.1.0
Source Name: None
Source Name: None

Name:        dummy
Version:     0.1.0
Source Name: dummy
Source Name: dummy-0.1.0-1.fc25.src.rpm

Name:        foo
Version:     0.2.0
Source Name: dummy-0.1.0-1.fc25
Source Name: dummy-0.1.0-1.fc25.src.rpm


Expected results:
The foo subpackage should have source name set to dummy.

Additional info:

Comment 1 Lubomír Sedlář 2017-02-01 13:52:51 UTC
Created attachment 1246653 [details]
Test specfile

Comment 2 Michael Mráka 2017-02-02 10:14:59 UTC
Fixed by https://github.com/rpm-software-management/dnf/pull/724

Comment 3 Fedora End Of Life 2017-02-28 11:09:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Jaroslav Mracek 2017-04-24 17:54:06 UTC
It was released in dnf-2.1.0 into rawhide


Note You need to log in before you can comment on or make changes to this bug.